## smlsharp 4.1.0

=== precompiled/Makefile ===
# auto-generated. DO NOT EDIT BY HAND.
PRECOMPILED_DIR=precompiled/$(PRECOMPILED_ARCH)
$(PRECOMPILED_DIR)/SQLConfig_mini.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SQLConfig_mini.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SQLConfig_mini.ll
$(PRECOMPILED_DIR)/General.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/General.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/General.ll
$(PRECOMPILED_DIR)/StringCvt.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/StringCvt.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/StringCvt.ll
$(PRECOMPILED_DIR)/List.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/List.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/List.ll
$(PRECOMPILED_DIR)/SMLSharp_ScanChar.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_ScanChar.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_ScanChar.ll
$(PRECOMPILED_DIR)/Char.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Char.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Char.ll
$(PRECOMPILED_DIR)/CharVector.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/CharVector.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/CharVector.ll
$(PRECOMPILED_DIR)/Substring.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Substring.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Substring.ll
$(PRECOMPILED_DIR)/String.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/String.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/String.ll
$(PRECOMPILED_DIR)/IntInf.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/IntInf.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/IntInf.ll
$(PRECOMPILED_DIR)/Int32.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Int32.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Int32.ll
$(PRECOMPILED_DIR)/SMLSharp_Runtime.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_Runtime.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_Runtime.ll
$(PRECOMPILED_DIR)/IEEEReal.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/IEEEReal.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/IEEEReal.ll
$(PRECOMPILED_DIR)/SMLSharp_RealClass.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_RealClass.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_RealClass.ll
$(PRECOMPILED_DIR)/Real64.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Real64.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Real64.ll
$(PRECOMPILED_DIR)/Time.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Time.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Time.ll
$(PRECOMPILED_DIR)/Int8.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Int8.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Int8.ll
$(PRECOMPILED_DIR)/Int16.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Int16.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Int16.ll
$(PRECOMPILED_DIR)/Word8VectorSlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word8VectorSlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word8VectorSlice.ll
$(PRECOMPILED_DIR)/Word8ArraySlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word8ArraySlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word8ArraySlice.ll
$(PRECOMPILED_DIR)/Array.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Array.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Array.ll
$(PRECOMPILED_DIR)/VectorSlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/VectorSlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/VectorSlice.ll
$(PRECOMPILED_DIR)/ArraySlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/ArraySlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/ArraySlice.ll
$(PRECOMPILED_DIR)/Word8Vector.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word8Vector.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word8Vector.ll
$(PRECOMPILED_DIR)/IO.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/IO.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/IO.ll
$(PRECOMPILED_DIR)/Word8Array.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word8Array.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word8Array.ll
$(PRECOMPILED_DIR)/SMLSharp_OSIO.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_OSIO.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_OSIO.ll
$(PRECOMPILED_DIR)/Bool.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Bool.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Bool.ll
$(PRECOMPILED_DIR)/os-path-fn.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/os-path-fn.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/os-path-fn.ll
$(PRECOMPILED_DIR)/os-path.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/os-path.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/os-path.ll
$(PRECOMPILED_DIR)/SMLSharp_OSFileSys.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_OSFileSys.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_OSFileSys.ll
$(PRECOMPILED_DIR)/Word32.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word32.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word32.ll
$(PRECOMPILED_DIR)/SMLSharp_OSProcess.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLSharp_OSProcess.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLSharp_OSProcess.ll
$(PRECOMPILED_DIR)/OS.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/OS.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/OS.ll
$(PRECOMPILED_DIR)/Option.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Option.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Option.ll
$(PRECOMPILED_DIR)/Word8.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word8.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word8.ll
$(PRECOMPILED_DIR)/prim-io-bin.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/prim-io-bin.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/prim-io-bin.ll
$(PRECOMPILED_DIR)/CharVectorSlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/CharVectorSlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/CharVectorSlice.ll
$(PRECOMPILED_DIR)/CharArray.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/CharArray.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/CharArray.ll
$(PRECOMPILED_DIR)/CharArraySlice.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/CharArraySlice.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/CharArraySlice.ll
$(PRECOMPILED_DIR)/Byte.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Byte.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Byte.ll
$(PRECOMPILED_DIR)/prim-io-text.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/prim-io-text.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/prim-io-text.ll
$(PRECOMPILED_DIR)/posix-io.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/posix-io.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/posix-io.ll
$(PRECOMPILED_DIR)/posix-bin-prim-io.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/posix-bin-prim-io.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/posix-bin-prim-io.ll
$(PRECOMPILED_DIR)/bin-io.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/bin-io.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/bin-io.ll
$(PRECOMPILED_DIR)/CommandLine.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/CommandLine.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/CommandLine.ll
$(PRECOMPILED_DIR)/Vector.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Vector.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Vector.ll
$(PRECOMPILED_DIR)/date.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/date.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/date.ll
$(PRECOMPILED_DIR)/ListPair.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/ListPair.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/ListPair.ll
$(PRECOMPILED_DIR)/Real32.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Real32.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Real32.ll
$(PRECOMPILED_DIR)/Int64.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Int64.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Int64.ll
$(PRECOMPILED_DIR)/posix-text-prim-io.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/posix-text-prim-io.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/posix-text-prim-io.ll
$(PRECOMPILED_DIR)/text-io.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/text-io.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/text-io.ll
$(PRECOMPILED_DIR)/Text.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Text.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Text.ll
$(PRECOMPILED_DIR)/Timer.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Timer.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Timer.ll
$(PRECOMPILED_DIR)/Word16.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word16.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word16.ll
$(PRECOMPILED_DIR)/Word64.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Word64.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Word64.ll
$(PRECOMPILED_DIR)/toplevel.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/toplevel.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/toplevel.ll
$(PRECOMPILED_DIR)/lib-base.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/lib-base.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/lib-base.ll
$(PRECOMPILED_DIR)/binary-map-fn.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/binary-map-fn.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/binary-map-fn.ll
$(PRECOMPILED_DIR)/SOrd.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SOrd.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SOrd.ll
$(PRECOMPILED_DIR)/SEnv.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SEnv.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SEnv.ll
$(PRECOMPILED_DIR)/parser-comb.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/parser-comb.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/parser-comb.ll
$(PRECOMPILED_DIR)/FormatExpressionTypes.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/FormatExpressionTypes.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/FormatExpressionTypes.ll
$(PRECOMPILED_DIR)/FormatExpression.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/FormatExpression.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/FormatExpression.ll
$(PRECOMPILED_DIR)/PrinterParameter.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PrinterParameter.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/PrinterParameter.ll
$(PRECOMPILED_DIR)/AssocResolver.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/AssocResolver.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/AssocResolver.ll
$(PRECOMPILED_DIR)/PreProcessedExpression.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PreProcessedExpression.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/PreProcessedExpression.ll
$(PRECOMPILED_DIR)/PrettyPrinter.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PrettyPrinter.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/PrettyPrinter.ll
$(PRECOMPILED_DIR)/Truncator.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Truncator.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Truncator.ll
$(PRECOMPILED_DIR)/PreProcessor.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PreProcessor.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/PreProcessor.ll
$(PRECOMPILED_DIR)/BasicFormatters.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/BasicFormatters.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/BasicFormatters.ll
$(PRECOMPILED_DIR)/PrettyPrinter2.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PrettyPrinter2.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/PrettyPrinter2.ll
$(PRECOMPILED_DIR)/SMLFormat.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SMLFormat.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SMLFormat.ll
$(PRECOMPILED_DIR)/binary-set-fn.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/binary-set-fn.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/binary-set-fn.ll
$(PRECOMPILED_DIR)/SSet.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/SSet.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/SSet.ll
$(PRECOMPILED_DIR)/Filename.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Filename.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Filename.ll
$(PRECOMPILED_DIR)/Config.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Config.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Config.ll
$(PRECOMPILED_DIR)/Loc.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Loc.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Loc.ll
$(PRECOMPILED_DIR)/Bug.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/Bug.ll
	$(PRECOMPILE_LLC) -o $@ $(srcdir)/$(PRECOMPILED_DIR)/Bug.ll
$(PRECOMPILED_DIR)/PrintControl.o: $(LLVM_PLUGIN) $(PRECOMPILED_DIR)/PrintControl.ll
