=== sample/qsort/Makefile ===
SMLSHARP = smlsharp

qsort: qsort.sml
	$(SMLSHARP) -o $@ qsort.sml

clean:
	-rm -f qsort
