=== debian/changelog ===
smlsharp (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version to 4.7.0 (no change)
    - Fix typo from extentions to extensions in description.
  * d/patches
    - Remove unnecessary patch
  * d/copyright
    - Update copyright year.
    - Remove superfluous file pattern.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Feb 2025 17:55:08 +0900

smlsharp (4.0.0+git20211227.5af5945b-2) unstable; urgency=medium

  * Fix build with LLVM 14.0 (Closes: #1016269)
    Add d/patches/0001-Add-support-LLVM-14.0.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Aug 2022 15:19:35 +0900
