=== debian/changelog ===
smlsharp (4.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version to 4.7.2 (no change).
  * d/rules: Added the function to create RELEASE files.
  * d/smlsharp.manpages: Switch to upstream's manpage.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Jun 2025 15:07:51 +0900
