=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libgmp-dev,
                llvm-dev,
                libmassivethreads-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://smlsharp.github.io
 Vcs-Git: https://salsa.debian.org/debian/smlsharp.git
