=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	dpkg-parsechangelog -S Version | sed 's/-.*//;s/~/-/' > RELEASE
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	./configure --prefix=/usr
