=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/smlsharp-$1\.tar\.gz/ https://github.com/smlsharp/smlsharp/tags .*\/v(\d\S+)\.tar\.gz
